import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Escribe una descricin de la clase Enemigo aqu.
 * 
 * @autor (Raquel y Diego) 
 * @versin (Un nmero de versin o una fecha)
 */
public class Lagarto extends Animal
{
    /**
     * Act - hace lo que el Lagarto quiere hacer. Este mtodo se llama "cuando quiera" o whenever
     * los botones 'Actuar or 'Ejecutar' son presionados en el entorno.
     */
    public void act() 
    {
      buscaSpiderman();//Este metodo permite que el Lagarto mate a Spiderman.
       //alFinaldelMundo();//Hace que el personaje gire cuando este llega al fin del mundo.
       controlDeTeclas();//Nos permite controlar a los jugadores con las teclas que les asignamos.
       //move();//Permite que un personaje se pueda mover.
       //moverseComoLoco();//Causa que el personaje se mueva de forma aleatoria en todos los sentidos.
    } 
    /**
     * Este metodo nos permite comer a Spiderman, mostrar un texto, reproducir un sonidos y parar el juego.
     */
    public void buscaSpiderman()
    {
        if (canSee(Spiderman.class))
        {
            eat(Spiderman.class);//Permite matar a Spiderman al aproximarse a el.
            getWorld().showText("HA GANADO LAGARTO",280,280);//Muestra el texto deseado en las coordenadas seleccionadas.   
            Greenfoot.playSound("fanfare.wav");//Reproduce el sonido escogido cuando gana uno de los jugadores.
            Greenfoot.stop();//Detiene el juego cuando uno de los jugadores gana.
        }
    }
    /**
     * Este metodo permite controlar al Lagarto con las teclas asignadas.
     */
    public void controlDeTeclas()
    {
     if (Greenfoot.isKeyDown("d"))
     {
         move (5);
     }
     if (Greenfoot.isKeyDown("a"))
     {
         move(-5);
     }
     if(Greenfoot.isKeyDown("w"))
     {
        if(getY()==getY())
           {
               setLocation(getX(),getY()-5);
          }
     }
     if(Greenfoot.isKeyDown("s"))
     {
           if(getY()==getY())
           {
               setLocation(getX(),getY()+5);
          }
     }
    }
    /**
     * Este metodo provoca que el Lagarto gire cuando llega al final del mundo.
     */
    public void alFinaldelMundo()
    {
        if (atWorldEdge()==true)
        {
            turn(15);
        }
    }
    /**
     * Este metodo hace que vaya girando aleatoriamente.
     */
    public void moverseComoLoco()
    {
       if (Greenfoot.getRandomNumber(100)<10)
        {
         turn(Greenfoot.getRandomNumber(60)-30);
        }
    }
}
